Data.EnumSet

data EnumSet k

# Operators

(\\)

# Query

null

size

member

notMember

lookupLT

lookupGT

lookupLE

lookupGE

isSubsetOf

isProperSubsetOf

# Construction

empty

singleton

insert

delete

# Combine

union

unions

difference

intersection

# Filter

filter

partition

split

splitMember

# Map

map

# Folds

foldr

foldl

# Strict folds

foldr'

foldl'

# Min/Max

findMin

findMax

deleteMin

deleteMax

deleteFindMin

deleteFindMax

maxView

minView

# Conversion: List

elems

toList

fromList

# Conversion: Ordered list

toAscList

toDescList

fromAscList

fromDistinctAscList

# Debugging

showTree

showTreeWith